<?php

add_filter( 'admin_enqueue_scripts', 'enqueue_custom_password_js',10 );

add_action('admin_init', 'kompass_admin_init');

function add_custom_admin_bar_item() {
    return;
	global $wp_admin_bar;

	// Überprüfen, ob der Benutzer die erforderliche Berechtigung hat
	if ( current_user_can( 'show_groups' ) ) {
		// Das Array mit den Eigenschaften des benutzerdefinierten Elements
		$args = [
			'id'    => 'kompass_events',
			'title' => '<span class="ab-icon dashicons-tickets-alt"></span>' .
			           '<span class="ab-label">' .__('Events', BDP_LV_PLUGIN_SLUG) . '</span>',
			'href'  => get_admin_url() . 'admin.php?page=kompass-events',

		];

		// Das benutzerdefinierte Element zur Admin-Leiste hinzufügen
		$wp_admin_bar->add_node( $args );


	}
}

// Die Funktion aufrufen, um das benutzerdefinierte Element zur Admin-Leiste hinzuzufügen
add_action( 'admin_bar_menu', 'add_custom_admin_bar_item', 50 );

add_action('wp_head', 'kompass_seo_add_verifications' );